PHP 7 Compatible


#1

Wanting to transfer our website to a PHP 7 server, but wanted to make sure your plugin is compatible with PHP 7. Here are the errors I got. Was wondering if this would be a problem or not. TYIA

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/templates/media/album-gallery.php

FOUND 0 ERRORS AND 5 WARNINGS AFFECTING 5 LINES

80 | WARNING | Possible use of ASP style opening tags detected. ASP style opening tags have been removed in PHP 7.0. Found: <%= id %>"> 81 | WARNING | Possible use of ASP style opening tags detected. ASP style opening tags have been removed in PHP 7.0. Found: <%= guid %>"> 86 | WARNING | Possible use of ASP style opening tags detected. ASP style opening tags have been removed in PHP 7.0. Found: <%= media_title %>"> 87 | WARNING | Possible use of ASP style opening tags detected. ASP style opening tags have been removed in PHP 7.0. Found: <%= id %>"> 88 | WARNING | Possible use of ASP style opening tags detected. ASP style opening tags have been removed in PHP 7.0. Found: <%= media_title %>

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/extension.cache.mysql.php

FOUND 27 ERRORS AND 1 WARNING AFFECTING 26 LINES

83 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7. 91 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 97 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 110 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 111 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 115 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 116 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 130 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 130 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 131 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 131 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 147 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 148 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 149 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 150 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 151 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 152 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 154 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 164 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 165 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 166 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 167 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 168 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 169 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 170 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 180 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 187 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead. 188 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/getid3.lib.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

614 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/extension.cache.dbm.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

77 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.lyrics3.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

26 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/module.audio.shorten.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

116 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/module.tag.xmp.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

402 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.vorbiscomment.php

FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES

26 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7. 32 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/getid3.php

FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES

156 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4. 1354 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

67 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.apetag.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.metaflac.php

FOUND 0 ERRORS AND 3 WARNINGS AFFECTING 3 LINES

26 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7. 32 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4. 106 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.id3v1.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

27 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.id3v2.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

33 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/lib/getid3/write.real.php

FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE

26 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.


#2

Hi @tammy1999,

Thank you for pointing this out.

I have installed the rtMedia plugin on my server with the PHP 7. The site and plugins functionality is working fine.

The error which are mentioned in following file,

FILE: /nas/content/live/scgccmulti/wp-content/plugins/buddypress-media/templates/media/album-gallery.php

Are false positive errors/warning. The code which it is referring to is a Javascript code and not a PHP code.

The other errors which are mentioned in the logs are from the [getid3](https://github.com/nass600/getID3) external library which we are using in the plugin. It seems that [getid3](https://github.com/nass600/getID3) library has not been updated by its authors from very long time. Once the library is updated by them, we will also update it in our plugin.

Thank you once again for mentioning the above issues. Let me know if you face any other issues with the version compatibility.

Thanks, Mangesh


#3

Thanks so much for letting me know.


#4

You are welcome @tammy1999,

We are closing this thread for now. Feel free to create new if you need any assistance.

Thanks.


#5